Page MenuHomePhabricator

[Task] Enlarge wb_changes.change_info
Closed, ResolvedPublic1 Story Points

Description

Blob apparently just isn't enough for that field.

Affected production wikis: wikidatawiki, testwikidatawiki

Event Timeline

hoo created this task.Aug 6 2015, 9:11 PM
hoo raised the priority of this task from to High.
hoo updated the task description. (Show Details)
hoo added subscribers: gerritbot, Addshore, daniel and 5 others.
hoo raised the priority of this task from High to Unbreak Now!.Aug 8 2015, 1:55 AM

This apparently is way more critical than I initially thought... I don't know why, but dispatching starts to act very funny once it hits such changes.

hoo lowered the priority of this task from Unbreak Now! to High.Aug 8 2015, 10:46 AM

We hit these problems again, although the workaround for this bug is in place.

Change 230301 had a related patch set uploaded (by Hoo man):
Change wb_changes.change_info to MEDIUMBLOB

https://gerrit.wikimedia.org/r/230301

JanZerebecki set Security to None.
JanZerebecki moved this task from Backlog to Review on the Wikidata-Sprint-2015-08-11 board.
Jonas renamed this task from Enlarge wb_changes.change_info to [Taks] Enlarge wb_changes.change_info.Aug 13 2015, 2:17 PM
Lydia_Pintscher renamed this task from [Taks] Enlarge wb_changes.change_info to [Task] Enlarge wb_changes.change_info.Aug 13 2015, 7:17 PM

Change 230301 merged by jenkins-bot:
Change wb_changes.change_info to MEDIUMBLOB

https://gerrit.wikimedia.org/r/230301

JanZerebecki closed this task as Resolved.Aug 21 2015, 3:45 PM
JanZerebecki moved this task from Review to Done on the Wikidata-Sprint-2015-08-18 board.